summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--initscripts/initscripts-1.0/tosa/devices61
-rw-r--r--wlan-ng/files/sl6kwlanctl-ng0
-rw-r--r--wlan-ng/files/wlanctl-ng0
-rw-r--r--wlan-ng/wlan-ng-modules_0.2.1pre21.oe9
4 files changed, 68 insertions, 2 deletions
diff --git a/initscripts/initscripts-1.0/tosa/devices b/initscripts/initscripts-1.0/tosa/devices
index e69de29bb2..b26748e8bb 100644
--- a/initscripts/initscripts-1.0/tosa/devices
+++ b/initscripts/initscripts-1.0/tosa/devices
@@ -0,0 +1,61 @@
+#!/bin/sh
+#
+# Devfs handling script. Since we arent running devfsd due to various reasons
+# which I will not lay out here, we need to create some links for compatibility.
+
+. /etc/default/rcS
+
+if test -e /dev/.devfsd
+then
+ if test "$VERBOSE" != "no"; then echo -n "Setting up device links for devfs: "; fi
+ ln -s /dev/touchscreen/0 /dev/ts
+ ln -s /dev/touchscreen/0raw /dev/tsraw
+ ln -s /dev/vc/0 /dev/tty0
+ ln -s /dev/vc/1 /dev/tty1
+ ln -s /dev/vc/2 /dev/tty2
+ ln -s /dev/vc/3 /dev/tty3
+ ln -s /dev/vc/4 /dev/tty4
+ ln -s /dev/vc/5 /dev/tty5
+ ln -s /dev/fb/0 /dev/fb0
+# ln -s /dev/tts/0 /dev/ttySA0
+# ln -s /dev/tts/1 /dev/ttySA1
+# ln -s /dev/tts/2 /dev/ttySA2
+
+ ln -s /dev/sound/dsp /dev/dsp
+ ln -s /dev/sound/mixer /dev/mixer
+
+ ln -s /dev/v4l/video0 /dev/video0
+ ln -s /dev/v4l/video0 /dev/video
+ ln -s /dev/misc/rtc /dev/rtc
+
+ ## need this so that ppp will autoload the ppp modules
+ mknod /dev/ppp c 108 0
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+else
+ if test "$VERBOSE" != "no"; then echo -n "Mounting /dev ramdisk: "; fi
+ mount -t ramfs ramfs /dev || mount -t tmpfs ramfs /dev
+ if test $? -ne 0; then
+ if test "$VERBOSE" != "no"; then echo "failed"; fi
+ else
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+ fi
+ if test "$VERBOSE" != "no"; then echo -n "Populating /dev: "; fi
+ cd /
+ mkdir -p dev/msys
+ mkdir -p dev/pts
+ ln -sf /dev/sharp_ts /dev/ts
+ ln -sf /proc/self/fd /dev/fd
+ ln -sf /proc/kcore /dev/core
+ /sbin/makedevs -r / -D /etc/device_table
+ if test $? -ne 0; then
+ if test "$VERBOSE" != "no"; then echo "failed"; fi
+ else
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+ fi
+fi
+
+#Always turn on usb
+if [ ! -d /dev/usb ]; then mkdir /dev/usb; fi
+mknod /dev/usb/host_ohci c 10 222
+
+exit 0
diff --git a/wlan-ng/files/sl6kwlanctl-ng b/wlan-ng/files/sl6kwlanctl-ng
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/wlan-ng/files/sl6kwlanctl-ng
diff --git a/wlan-ng/files/wlanctl-ng b/wlan-ng/files/wlanctl-ng
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/wlan-ng/files/wlanctl-ng
diff --git a/wlan-ng/wlan-ng-modules_0.2.1pre21.oe b/wlan-ng/wlan-ng-modules_0.2.1pre21.oe
index 861b953295..5186043f43 100644
--- a/wlan-ng/wlan-ng-modules_0.2.1pre21.oe
+++ b/wlan-ng/wlan-ng-modules_0.2.1pre21.oe
@@ -2,15 +2,17 @@ DESCRIPTION = "linux-wlan-ng (prism2.x, prism3, pcmcia, pci, usb) driver for 11M
DEPENDS = "virtual/kernel"
MAINTAINER = "Jeremy Grant <jeremy@thegrantclan.org>"
LICENSE = "GPL"
-PR = "r3"
+PR = "r4"
+
SRC_URI = "ftp://ftp.linux-wlan.org/pub/linux-wlan-ng/linux-wlan-ng-${PV}.tar.bz2 \
- file://no-compat.patch;patch=1 \
+ file://no-compat.patch;patch=1 \
file://Ambit_usb.patch;patch=1 \
file://config.mk \
file://wlan-ng.modutils \
file://wlan.agent \
file://version.h \
+ file://sl6kwlanctl-ng \
file://usbctl"
S = "${WORKDIR}/linux-wlan-ng-${PV}"
@@ -31,6 +33,9 @@ do_install() {
install -m 0644 ${WORKDIR}/wlan-ng.modutils ${D}/etc/modutils/wlan-ng.conf
install -m 0755 ${WORKDIR}/wlan.agent ${D}/etc/hotplug/wlan.agent
install -m 0755 ${WORKDIR}/usbctl ${D}/sbin/usbctl
+ install -m 0755 ${WORKDIR}/sl6kwlanctl-ng ${D}/sbin/sl6kwlanctl-ng
+ ln -s /sbin/sl6kwlanctl-ng ${D}/sbin/wlanup
+ ln -s /sbin/sl6kwlanctl-ng ${D}/sbin/wlandown
}
sbindir = "/sbin"